summaryrefslogtreecommitdiffstats
path: root/source/a/attr/attr.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/a/attr/attr.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/a/attr/attr.SlackBuild')
-rwxr-xr-xsource/a/attr/attr.SlackBuild22
1 files changed, 16 insertions, 6 deletions
diff --git a/source/a/attr/attr.SlackBuild b/source/a/attr/attr.SlackBuild
index 9c16a8d60..1b6fe70b4 100755
--- a/source/a/attr/attr.SlackBuild
+++ b/source/a/attr/attr.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.4.43-1
-ARCH=${ARCH:-x86_64}
+PKGNAM=attr
+VERSION=2.4.45
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-attr
@@ -39,8 +49,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf attr-$(echo $VERSION | cut -f 1 -d '-')
-tar xzvf $CWD/attr_$VERSION.tar.gz
-cd attr-$(echo $VERSION | cut -f 1 -d '-')
+tar xvf $CWD/attr-$VERSION.src.tar.gz || exit 1
+cd attr-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,7 +86,7 @@ mv $PKG/usr/share/doc $PKG/usr
#It would be nice to keep the same timestamps that the files have in the source:
rm -rf $PKG/usr/doc/attr-$VERSION/ea-conv
cp -a \
- README doc/COPYING doc/PORTING doc/ea-conv \
+ README doc/COPYING* doc/PORTING doc/ea-conv \
$PKG/usr/doc/attr-$VERSION
find $PKG | xargs file | grep -e "executable" -e "shared object" \